sdcc (4.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    * Update for ucsim_ renames on simulators
  * Pull in upstream fix for builds with LyX 2.4 (Closes: #1064731)
  * Add missing sdas6500 (Closes: #1057130)
  * Move to debhelper compat level 13
  * Switch from libncurses5-dev to libncurses-dev build-dep
  * Add lintian override for missing-source false positive
    (sim/ucsim/doc/cmd_general.html)
  * Switch as2gbmap over to Python 3
  * Update [git-import-orig] to [import-orig] for debian/gbp.conf

 -- Jonathan McDowell <noodles@earth.li>  Mon, 18 Mar 2024 10:54:34 +0000

sdcc (4.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1006922)
    * Update spelling correction patch
    * Add lintian override for no-code-sections in target libs

 -- Jonathan McDowell <noodles@earth.li>  Wed, 30 Nov 2022 22:06:14 +0000

sdcc (4.0.0+dfsg-2) unstable; urgency=medium

  * Add missing Padauk assemblers/linker (Closes: #960596)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 16 May 2020 10:09:37 +0100

sdcc (4.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #951898)
    * Update spelling correction patch
    * sdcclib is no longer shipped
    * Fixes FTBFS (Closes: #959651)
  * Switch to librsvg2-bin instead of inkscape for SVG to EPS conversion
  * Switch to dh_missing rather than passing flag to dh_install
  * Install sdas documentation (Closes: #949433)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 13 May 2020 19:19:27 +0100

sdcc (3.8.0+dfsg-3) unstable; urgency=medium

  * Bump standards version to 4.4.1
  * Change texlive dependency (Closes: #941546)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 06 Oct 2019 13:40:34 +0200

sdcc (3.8.0+dfsg-2) unstable; urgency=medium

  * Add build dependency on texlive-latex-extra (Closing #917692)
  * Bump standards version to 4.3.0, no changes needed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 01 Jan 2019 17:59:22 +0100

sdcc (3.8.0+dfsg-1) unstable; urgency=medium

  [ Jonathan McDowell ]
  * Add myself to Uploaders and move under the Electronics Packaging Team.
  * Move to debhelper compat level 10.
  * Rename git-buildpackage section header to just buildpackage.

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Remove a few autogenerated files from git and add to debian/rules
    clean target.
  * Don't install device/examples, removed from upstream
  * Bump standards to 4.2.1
  * Change watch from http to https
  * Add patch to fix spelling 01_fix_spelling.patch
  * Fix spelling error in ucsim and sdcc manpages
  * Change version check to DEB_VERSION_UPSTREAM in rules file
  * Add override file to remove false lintian gfdl positives
  * Add dependency on zlib1g-dev
  * Add dependency on inkscape (Closes: #911713)
  * Change .c files to non executable in rules
  * Make clean targer remove config.log and Makefile

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 30 Oct 2018 09:51:18 +0100

sdcc (3.7.0+dfsg2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack upstream tarball to exclude GFDL documentation with invariant
    sections
  * Fix doc-base file pointer to include .gz extension for manual
  * Add information to README.source about repacking upstream

 -- Jonathan McDowell <noodles@earth.li>  Tue, 31 Jul 2018 14:52:21 +0800

sdcc (3.7.0+dfsg-0.2) unstable; urgency=medium

  * Move texinfo to binary Build-Dep

 -- Jonathan McDowell <noodles@earth.li>  Sun, 29 Jul 2018 18:35:56 +0800

sdcc (3.7.0+dfsg-0.1) unstable; urgency=medium

  [ Geert Stappers ]
  * Non-maintainer upload.
  * Recreated git repo content (Closes: #895345)
  * Git repo at Salsa

  [ Jonathan McDowell ]
  * New upstream release (Closes: #892869)
    + Fixes FTBFS with GCC 8 (Closes: #897856)
    + Removed patches as all now applied upstream
    + Enable building of PDF manual
    + Fix ucsim docs to include SVGs instead of GIFs
  * Mark sdcc-doc + sdcc-libraries Multi-Arch foreign
  * Remove Bdale from uploaders, on his request

 -- Jonathan McDowell <noodles@earth.li>  Sun, 29 Jul 2018 15:02:20 +0800

sdcc (3.5.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Dr. Tobias Quathamer to fix FTBFS with lyx 2.3.
    (Closes: #894619)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Apr 2018 19:34:21 +0300

sdcc (3.5.0+dfsg-2) unstable; urgency=medium

  * Add dependency on gsfonts (Closes: #818447)
  * Bump standards version to 3.9.7, no changes needed
  * Remove breaks version 2.9.0
  * Add breaks version 3.4.0, sdar was moved from
    sdcc-ucsim to sdcc. (Closes: #803660)
  * Add patch 03_spelling to fix spelling error
  * Change vcs browser from http to https
  * Add hardening += all to build options

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 19 Mar 2016 19:31:13 +0100

sdcc (3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #789831)
  * Improve manpages asxxxx and sdcc
  * Add manpages sdar, sdas390, sdasrab, sdasstm8, sdastlcs90,
    sdldstm8, sdnm, sdobjcopy, sstm8
  * Remove manpage savr
  * Remove patches, 02_fix_spelling and 03_fix_compilation. Fixed
    in upstream.
  * Bump standards version to 3.9.6
  * Remove unneeded lines from clean target in rules file
  * Update description i control file (Closes: #766325)
  * Move sdar from sdcc-ucsim to sdcc
  * Add binary file sdldstm8 to sdcc
  * Add huge memory model libraries (Closes: #768307)
  * Add dependency on graphicsmagick-imagemagick-compat
  * Exclude example code from compression
  * Add patch 02_enable_ppc64.patch (Closes: #766478)
  * Use autotools-dev to support new arches

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 16 Oct 2015 21:52:11 +0200

sdcc (3.4.0+dfsg-2) unstable; urgency=medium

  * Add patch 03_fix_compilation (Closes: #752972, #752071)
  * Update hardening
  * Replace sdld6808, sdldz80 and sdldgb by a symbolic link to sdld.
    It was the same file eariler 
  * Added a few missing binaries to package

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 02 Jul 2014 22:41:35 +0000


sdcc (3.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #699842,#746906)
  * Bump standards version to 3.9.5
  * Add patch 02_fix_spelling to fix minor spelling error
  * Add rm GPL and LGPL to prevent double license files
  * 

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 12 Apr 2014 21:24:12 +0200

sdcc (3.3.0+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #422599, #671631, #724192)
  * Remove patch 02_fix_spelling. Fixed in upstream.
  * Update patch 01_disable_non-free
  * Bump compat to 9
  * Bump standards version to 3.9.4
  * Add dependency on dpkg-dev (>= 1.16.1~)
  * Add hardening buildflags to debian rules
  * Adding files to remove to clean target
  * Change dephelper dependency to 9
  * Add hardening wrapper
  * Add more scripts from support/scripts to package
  * Replace texlive-full dependency by a smaller dependency

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 02 Oct 2013 16:00:58 +0200

sdcc (3.1.0+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #647036)
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove lk_readnl fix from rules file
  * Bump standards version to 3.9.3
  * Change Conflicts to Breaks in control file
  * Suggest python for sdcc
  * Add arch-dependent-file-in-usr-share to overrides file
  * Add recommended target build arch (Closes: #459877)
  * Fix whatis entry for as2xxxx.1 manpage
  * Add manpage for as2gbmap
  * Add a get-orig-source target to rules file
  * Exclude non-free sources from source package (Closes: #597933)
  * Add +dfsg to source package name
  * Add version mangling to watch file
  * Add Vcs fields
  * Change all references to asranlib to sdranlib
  * Remove patches 01_fix_getline  02_result_type_gptr  03_fix_cmdlex
  * Remove sim/ucsim/libltdl in get-orig-source
  * Remove patch 04_libtool_fix
  * Rename other patches from 05, 06 to 01, 02
  * Add GPL+LE to copyright file
  * Fix sdcc manpage (Closes: #658188)
  * Bump compat to 8
  * Add build dependency on libboost-dev
  * Change texlive dependency to texlive-full. I clould not find minimum set
    of texlive packages needed to compile the package.
  * Remove go.bat from sdcc-doc
  * Add Build-Depends-Indep field (Thanks to Aron Xu)
  * Fix build/install arch/indep (Thanks to Aron Xu)
  * Fix lintian override file
  * Fix cleaning of .asm files, too many were removed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 04 Jun 2012 09:29:53 +0000

sdcc (2.9.0+dfsg-1) unstable; urgency=low

  * Remove all pic header and library files (Closes: #597933)
  * Add patch 05_exclude_pic_lib
  * Bump standards version to 3.9.1
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove Conflicts: sdcc (<= 2.3.3+cvs20030131-4)
  * Remove Conflicts: sdcc (<< 2.3.8+cvs20040218-1)
  * Change hypen to minus in ucsim.1
  * Add description to all patches
  * Fixed watch file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 17 Dec 2010 07:42:20 +0100


sdcc (2.9.0-5) unstable; urgency=low

  * Add patch 03_fix_cmdlex to fix compilation (Closes: #560520)
  * Add patch 04_libtool_fix to fix CVE-2009-3736 local privilege escalation
    After patching, ltld.c is equal to the ltld.c file in libtool 2.2.6B
    (Closes: #559840)
  * Add README.source file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 09 Jan 2010 05:47:41 +0100

sdcc (2.9.0-4) unstable; urgency=low

  * Add patch 01_fix_ftbs (Closes: #552867)
  * Bump standards version to 3.8.3, no changes needed
  * Remove bashism from debian scripts (Closes: #535420)
  * Add README.source file
  * Add patch 02_result_type_gptr
  * Add dependency on quilt

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 14 Nov 2009 18:22:59 +0100

sdcc (2.9.0-3) unstable; urgency=low

  * patch from Keith Packard to promote varargs pointers to RESULT_TYPE_GPTR,
    accepted by upstream for 2.9.1

 -- Bdale Garbee <bdale@gag.com>  Sun, 09 Aug 2009 15:00:31 -0600

sdcc (2.9.0-2) unstable; urgency=low

  * Add conflict to sdcc-libraries (<<2.9.0) (Closes: #524864)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 03 May 2009 22:31:16 +0200

sdcc (2.9.0-1) unstable; urgency=low

  [ Bdale Garbee ]
  * new upstream version, with assemblers re-licensed under GPL version 3 or
    later, allowing the full SDCC package to return to Debian main!
  * update debian/copyright to more accurately reflect the set of copyright
    holders, and in light of the assemblers now being GPL v3 or later.
  * stop building html docs again since latex2html is non-free

  [ Gudjon I. Gudjonsson ]
  * Move manpages to debian/manpages
  * Edit the copyright file
  * Remove references to html doc from sdcc-doc.doc-base
  * Remove XS-Autobuild field
  * Bump standards version to 3.8.1, no changes needed
  * Add fields to install and remove postscript documentation
  * Add some perl scripts to sdcc package
  * Add examples to sdcc-doc
  * Add a lot to the clean target in rules. Will be sent to upstream
  * Add watch file

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Apr 2009 14:14:27 -0700

sdcc-nf (2.8.0-1) unstable; urgency=low

  [ Bdale Garbee ]
  * new upstream version
  * add Bdale as a co-maintainer

  [ Gudjon I. Gudjonsson ]
  * Renamed the packages. A DFSG version of the packages have been
    made and put into main, this non-free version has therefore the
    name extension -nf on all packages.
  * This version conflicts and provides the corresponding DFSG version.
  * Bumped the Debian policy standard version to 3.7.3. No changes needed.
  * Added a "XS-Autobuild: yes" field to the control file.
  * Removed the p89c66x.h file since it is included in upstream now.
  * Fixed some lintian warnings from doc-base file.
  * A new upstream version. (Closes: #474090)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 24 Apr 2008 13:52:02 +0000

sdcc (2.7.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Version.
  * New Maintainer. Closes: #393289
  * Updated Build-Depends:
    + Added: autotools-dev to get the newest config.sub and config.guess
    + Added: autoconf, automake, libtool
    + Replaced lyx-qt by lyx
  * Cleaned debian/rules a bit
  * Use config.sub and config.guess from autotools-dev

  [ Gudjon I. Gudjonsson ]
  * New upstream version (Closes: #440380)
  * Replaced lyx-xforms (Closes: #444558)
  * Upgraded install targets for the new version.
  * Added the p89c66x.h header file. Will be included in 2.7.1
  * Added the copyright clause for ASxxxx into copyright.
  * Moved package to non-free because of ASxxxx license.
  * Added html documentation again since the package is in non-free.
  * Removed the pdf documentation
  * Cleaned the rules file

  [ Bas Wijnen ]
  * Regenerate configure as part of build process.
  * Don't ignore errors in clean target.

  [ Gudjon I. Gudjonsson ]
  * Fixed the non stripping options (Closes: #438018)
  * Changed dependencies from tetex to texlive.
  * Removed gs dependencies as they were not necessary.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 16 Oct 2007 11:25:54 +0200

sdcc (2.6.0-5) unstable; urgency=low

  * Orphaning this package, setting maintainer field to
    packages@qa.debian.org.
  * Make the package binNMUable. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Oct 2006 15:37:46 +0200

sdcc (2.6.0-4) unstable; urgency=low

  * Create a directory in the build tree, and set it as the HOME directory.
    That should fix the FTBFS on some build daemons.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 16 Aug 2006 12:31:38 +0200

sdcc (2.6.0-3) unstable; urgency=low

  * Remove the lyx workaround now that the bug has been fixed (closes: bug#381913).
  * Bumped build-dependency on lyx to (>= 1.4.2-4).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 11 Aug 2006 22:52:27 +0200

sdcc (2.6.0-2) unstable; urgency=medium

  * Fix the FTBFS by workarounding the lyx bug.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  7 Aug 2006 18:21:56 +0200

sdcc (2.6.0-1) unstable; urgency=low

  * New upstream release:
    - bool datatype support for z80 target (closes: bug#325846)
    - support for code segments in memory for pic target (closes: bug#359675)
    - support for almost all PIC (closes: bug#361229)
    - support for tables for pic target (closes: bug#304320)
    - support for main() to be in any object when linking (closes: bug#335711)
  * Bumped Standards-Version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  3 Aug 2006 17:04:44 +0200

sdcc (2.5.0-11) unstable; urgency=low

  * g++ 4.1 fixes. Thanks to Martin Michlmayr for the patch (closes:
    bug#357476).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 18 Mar 2006 10:52:19 +0100

sdcc (2.5.0-10) unstable; urgency=low

  * Fixed pic16f877.h (closes: bug#339993). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  3 Dec 2005 02:14:15 +0100

sdcc (2.5.0-9) unstable; urgency=low

  * lyx-{xforms,qt} don't setup the lyx alternative anymore, build-depends on
    lyx-xforms and call /usr/bin/lyx-xforms.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 Nov 2005 19:41:31 +0100

sdcc (2.5.0-8) unstable; urgency=low

  * The "I hope I won't break everything" release.
  * It's seems the .asm files are useless, at least from some targets
    Let's try to remove them (closes: bug#325848).

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  1 Sep 2005 15:32:50 +0200

sdcc (2.5.0-7) unstable; urgency=low

  * Don't delete .o files, it seems they are need by at least the pic16 
    target (closes: bug#324047).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 21 Aug 2005 01:25:34 +0200

sdcc (2.5.0-6) unstable; urgency=low

  * Move gputils to Build-Depends-Indep to Build-Depends. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Aug 2005 16:37:59 +0200

sdcc (2.5.0-5) unstable; urgency=low

  * Enabled pic16 support (closes: bug#324047).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Aug 2005 10:37:53 +0200

sdcc (2.5.0-4) unstable; urgency=low

  * Added pic14 .h files (closes: bug#308623).
  * Added inc2h.pl and keil2sdcc.pl to the sdcc-libraries package.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Aug 2005 11:06:53 +0200

sdcc (2.5.0-3) unstable; urgency=low

  * C++ ABI transition. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  6 Jul 2005 01:02:20 +0200

sdcc (2.5.0-2) unstable; urgency=low

  * Fix building for binary-only builds. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jun 2005 19:53:20 +0200

sdcc (2.5.0-1) unstable; urgency=low

  * New upstream version.
    - Support for bool datatype and abs() function has been added (closes:
      bug#300293).
    - PIC files are now included (closes: bug#308623).
  * Fixed the generation of PIC14 .asm file when a string constant contains 
    "\r\n" (closes: bug#304015).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Jun 2005 20:01:09 +0200

sdcc (2.4.0-4) unstable; urgency=low

  * Also install sdcclib (closes: bug#298313). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  6 Mar 2005 23:07:22 +0100

sdcc (2.4.0-3) unstable; urgency=low

  * Fixed FTBFS with gcc-3.4. Thanks to Andreas Jochens for the patch (closes:
    bug#280878).

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  1 Dec 2004 19:07:17 +0100

sdcc (2.4.0-2) unstable; urgency=low

  * Fixed debian/rules to not build documentation on binary-only target.

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  3 Mar 2004 23:04:37 +0100

sdcc (2.4.0-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Feb 2004 12:36:01 +0100

sdcc (2.3.8+cvs20040218-1) unstable; urgency=low

  * New CVS version.
    - Fix build error with the TININative target (closes: bug#233277).
  * Split out libraries in a separate package (closes: bug#233440).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 18 Feb 2004 18:10:27 +0100

sdcc (2.3.5+cvs20031021-2) unstable; urgency=low

  * Switched from LaTeX2HTML to HeVeA to generate the documentation
    (closes: bug#221349).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Nov 2003 21:33:06 +0100

sdcc (2.3.5+cvs20031021-1) unstable; urgency=low

  * New CVS version.
  * Build back against flex (instead of flex-old) as flex (>= 2.5.31) support
    have been re-added.
  * Updated Policy standard compliance to 3.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 21 Oct 2003 11:47:08 +0200

sdcc (2.3.5+cvs20031017-1) unstable; urgency=low

  * New CVS version:
    - Fix possible data loss in az-80 (closes: bug#216219).
  * Built against flex-old as the upstream authors have removed the
    modifications done to support flex (>= 2.5.31).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 18 Oct 2003 14:28:18 +0200

sdcc (2.3.5+cvs20030901-1) unstable; urgency=low

  * New CVS version.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  1 Sep 2003 18:55:05 +0200

sdcc (2.3.5+cvs20030727-1) unstable; urgency=low

  * New CVS version.
  * Build-Depends on g++-3.2 (>= 3.2.3-7) on Sparc. I hope it would build 
    correctly now.
  * Updated Policy standard compliance to 3.6.0.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 27 Jul 2003 21:32:47 +0200

sdcc (2.3.5+cvs20030710-1) unstable; urgency=low

  * New CVS version.
  * Updated manpages (closes: bug#200762).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 10 Jul 2003 22:00:52 +0200

sdcc (2.3.5+cvs20030704-1) unstable; urgency=low

  * New CVS version.
  * Added patch from Nick Craig-Wood <ncw@alphawave.net> to a bug in the
    vprintf library implementation.

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  5 Jul 2003 00:01:25 +0200

sdcc (2.3.5+cvs20030624-1) unstable; urgency=low

  * New version from CVS. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 24 Jun 2003 09:31:10 +0200

sdcc (2.3.5+cvs20030521-2) unstable; urgency=low

  * Corrected path to the documentation in the manpages.
  * Also provide doc for aslink (closes: bug#198376).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Jun 2003 00:08:17 +0200

sdcc (2.3.5+cvs20030521-1) unstable; urgency=low

  * Version 2.3.5 from CVS.
  * Updated Policy standard compliance to 3.5.10.
  * Split out documentation into sdcc-doc package.
    For the ftp-master:
     1. the documentation is built from LyX files and could take very
        long time to build on slowest architectures ;
     2. the size of the unpacked documentation is 964 kB.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 May 2003 01:24:18 +0200

sdcc (2.3.3+cvs20030131-4) unstable; urgency=low

  * Fixed SDCC.lex to make it usable with the new flex (closes: bug#191200).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 May 2003 02:11:53 +0200

sdcc (2.3.3+cvs20030131-3) unstable; urgency=low

  * More fixes for 64-bit archs.
  * Depends on ${misc:Depends}.
  * Uses debian/compat instead of DH_COMPAT.
  * Uses dh_install instead of dh_movefiles. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  5 Mar 2003 00:21:49 +0100

sdcc (2.3.3+cvs20030131-2) unstable; urgency=low

  * Fixed an optimization on 64-bit platforms (closes: bug#182457).

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  1 Mar 2003 00:46:26 +0100

sdcc (2.3.3+cvs20030131-1) unstable; urgency=low

  * Version 2.3.3 from CVS as the authors advice to use.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 Feb 2003 10:55:57 +0100

sdcc (2.3.0-13) unstable; urgency=low

  * Rebuilt with gcc-3.2. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  8 Jan 2003 00:22:40 +0100

sdcc (2.3.0-12) unstable; urgency=low

  * Fixed some errors in src/SDCC.y (closes: bug#166598).
  * Updated Policy standard compliance to 3.5.7

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Oct 2002 15:58:31 +0100

sdcc (2.3.0-11) unstable; urgency=low

  * Fixed case sensitivity in the assembler. Thanks to Adam Majer for 
    noticing the problem. (closes: Bug#151032)

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  5 Jul 2002 02:27:25 +0200

sdcc (2.3.0-10) unstable; urgency=low

  * Fixed description. (closes: Bug#142390) 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Apr 2002 18:15:34 +0200

sdcc (2.3.0-9) unstable; urgency=low

  * Changed my maintainer e-mail address to <aurel32@debian.org>. :)

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 18 Mar 2002 21:42:09 +0100

sdcc (2.3.0-8) unstable; urgency=low

  * Improved man pages. (closes: Bug#135044, Bug#135095)

 -- Aurelien Jarno <aurelien@aurel32.net>  Thu, 21 Feb 2002 16:33:27 +0100

sdcc (2.3.0-7) unstable; urgency=low

  * Added "-fdollars-in-identifiers" to Makefile, so gcc will compile uCsim 
    on arm architecture. (closes: Bug#131605)

 -- Aurelien Jarno <aurelien@aurel32.net>  Thu, 31 Jan 2002 21:47:59 +0100

sdcc (2.3.0-6) unstable; urgency=low

  * Added Build-Depends. (closes: Bug#130655)

 -- Aurelien Jarno <aurelien@aurel32.net>  Thu, 24 Jan 2002 15:09:47 +0100

sdcc (2.3.0-5) unstable; urgency=low

  * Initial Debian upload. (closes: #129651)

 -- Aurelien Jarno <aurelien@aurel32.net>  Sat, 19 Jan 2002 14:45:01 +0100
 
sdcc (2.3.0-4) unstable; urgency=low

  * Changed the description (redundancy and typos) as suggested by Andreas
    Bombe <aeb@debian.org>.
  * Moved debugger to sdcc-ucsim as it can only be used with a simulator. 
    Also suggested by Andreas.

 -- Aurelien Jarno <aurelien@aurel32.net>  Thu, 17 Jan 2002 16:14:23 +0100
 
sdcc (2.3.0-3) unstable; urgency=low

  * Merged sdcc-doc with sdcc and sdcc-ucsim
  * Documentation is now registered with install-docs.
  * Create sdccman.css and test_suite_spec.css since they are not include in the
    upstream file.
  * INSTALL.TXT removed from documentation.

 -- Aurelien Jarno <aurelien@aurel32.net>  Fri, 14 Dec 2001 20:18:07 +0100

sdcc (2.3.0-2) unstable; urgency=low

  * Now use realclean instead of clean.

 -- Aurelien Jarno <aurelien@aurel32.net>  Tue, 11 Dec 2001 16:00:07 +0100

sdcc (2.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Aurelien Jarno <aurelien@aurel32.net>  Sat, 01 Dec 2001 17:42:52 +0100
